Bug 35885

Summary: [EFL] Add KURLEfl.cpp to WC/platform/efl.
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: barbieri, bunhere, commit-queue, eric, gns, gyuyoung.kim, kenneth, oliver, rakuco, tonikitoo, webkit.review.bot, zimmermann
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Add KURLEfl.cpp to WC/platform/efl
zecke: review-
Add KURLEfl.cpp to WC/platform/efl none

Description Leandro Pereira 2010-03-08 15:24:25 PST
+++ This bug was initially created as a clone of Bug #35749 +++

+++ This bug was initially created as a clone of Bug #35087 +++

Forthcoming patch adds KURLEfl.cpp to WC/platform/efl.
Comment 1 Leandro Pereira 2010-03-08 15:25:09 PST
Created attachment 50254 [details]
Add KURLEfl.cpp to WC/platform/efl
Comment 2 Holger Freyther 2010-03-09 20:40:04 PST
Comment on attachment 50254 [details]
Add KURLEfl.cpp to WC/platform/efl


> +#include <Ecore.h>

the include is not needed.

> +
> +namespace WebCore {
> +
> +String KURL::fileSystemPath() const
> +{
> +    CString filename = m_string.utf8();
> +
> +    if (!filename.data())
> +        return String();
> +
> +    String path = String::fromUTF8(filename.data());
> +    return path;

The implementation is totally bogus. You can easily steal the KURLQt.cpp implementation
or at least take a look at that.
Comment 3 Leandro Pereira 2010-03-10 06:32:30 PST
Created attachment 50401 [details]
Add KURLEfl.cpp to WC/platform/efl

OK, copied the Qt implementation.
Comment 4 Eric Seidel (no email) 2010-03-15 15:37:09 PDT
Comment on attachment 50401 [details]
Add KURLEfl.cpp to WC/platform/efl

OK.

Sad this can't be shared by ports that don't need special handling here.
Comment 5 WebKit Commit Bot 2010-03-15 16:20:33 PDT
Comment on attachment 50401 [details]
Add KURLEfl.cpp to WC/platform/efl

Clearing flags on attachment: 50401

Committed r56023: <http://trac.webkit.org/changeset/56023>
Comment 6 WebKit Commit Bot 2010-03-15 16:20:40 PDT
All reviewed patches have been landed.  Closing bug.